import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
	Die Klasse ImagePanel dient lediglich dazu, ein Hintergrundbild auf das
	Architekturfenster zu legen. Es handelt sich dabei um die Datei
	toy-block.jpg, die sich im aktullen Verzeichnis befinden sollte.
*/	
class ImagePanel extends JPanel
{     
	private Image image;	
	
	/**
		Hier wird ein neues <tt>Image</tt>-Objekt angelegt, das die
		Datei <tt>toy-block.jpg</tt> darstellt.
	*/	
	public ImagePanel()
 	{  
	 	image = Toolkit.getDefaultToolkit().getImage("toy-block.jpg");
	}   
   
   	/**
		Diese Methode zeichnet das Image-Objekt.
		@param g: Grafikcontext
	*/
	public void paintComponent(Graphics g)
   	{	  
		super.paintComponent(g);  
	  	g.drawImage(image, 0, 0, this);
   	}      
}